Đến nội dung


Hình ảnh
- - - - -

lisp tọa độ


  • Please log in to reply
3 replies to this topic

#1 bach.2266

bach.2266

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 06 June 2014 - 05:15 PM

bác nào có lisp ghi tọa độ trên cad cho e xin với (kích 1 cái nó ghi luôn x,y trên cad luôn) cám ơn mọi người nhiều


  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 June 2014 - 12:32 AM

bác nào có lisp ghi tọa độ trên cad cho e xin với (kích 1 cái nó ghi luôn x,y trên cad luôn) cám ơn mọi người nhiều

Hề hề hề,

1/- Bạn nên đọc kỹ lại quy định của diễn đàn về việc yêu cầu viết lisp nhé.

2/- Vì không hiểu rõ cái bạn cần nên viết đại một lisp như vầy. Bạn dùng thử, nếu chưa ưng thì hãy làm đúng các yêu cầu của diễn đàn nhé.

(defun c:gtd (/ oldos p)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(while (setq p (getpoint "\n Pick chon point muon gh toa do"))
      (command "text" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)
(setvar "osmode" oldos)
(princ)
)
(defun c:gtd (/ oldos p)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(while (setq p (getpoint "\n Pick chon point muon gh toa do"))
      (command "text" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)
(setvar "osmode" oldos)
(princ)
)

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 07 June 2014 - 08:04 AM

Bác Bình xem lại vị trí đặt osmode, không hợp lý rồi.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 June 2014 - 10:40 AM

Bác Bình xem lại vị trí đặt osmode, không hợp lý rồi.

Hề hề hề ,

Cám ơn bác DoanVanHa đã chỉ giáo. Xin sửa lại như sau, chẳng biết có hợp lý hơn không.....

(defun c:gtd (/ oldos p)
(while (setq p (getpoint "\n Pick chon point muon gh toa do"))
 (command "text" "_none" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)
(princ)
)

 

 (command "text" p 2 0 (strcat (rtos (car p) 2 4) "," (rtos (cadr p) 2 4)))
)

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.